Bug 251601 - Removing setroubleshoot-server causes audispd to consume 100% cpu
Removing setroubleshoot-server causes audispd to consume 100% cpu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 17:58 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 17:00:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-08-09 17:58:41 EDT
Description of problem:

Did yum -y remove setroubleshoot-server.  top reporteda audispd consuming 100%
cpu.  strace of audispd showed:

poll([{fd=-1}, {fd=-1}, {fd=-1}, {fd=3, events=POLLIN}, {fd=-1}, {fd=5,
events=POLLIN}, {fd=6, events=0, revents=POLLHUP}, {fd=-1}, {fd=-1}, {fd=-1},
{fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1},
{fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1},
{fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, ...], 33, -1) = 1
poll([{fd=-1}, {fd=-1}, {fd=-1}, {fd=3, events=POLLIN}, {fd=-1}, {fd=5,
events=POLLIN}, {fd=6, events=0, revents=POLLHUP}, {fd=-1}, {fd=-1}, {fd=-1},
{fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1},
{fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, {fd=-1},
{fd=-1}, {fd=-1}, {fd=-1}, {fd=-1}, ...], 33, -1) = 1
....


Version-Release number of selected component (if applicable):
audit-1.5.3-1.fc7
Comment 1 Steve Grubb 2007-08-10 12:11:53 EDT
The audispd program will be replaced with a new one soon, so fixing this in the
current code is not likely. To work around the problem in the meantime, just
disable that program by putting a '#' symbol infront of the dispatcher setting
in /etc/audit/auditd.conf.

Note You need to log in before you can comment on or make changes to this bug.